#grve-feature-slider, .owl-carousel
{
    direction:rtl;
}

/* carousel-products/ */
.grve-carousel-navigation.grve-dark.grve-navigation-1.grve-navigation-carousel {
    direction: ltr;
}

/* alternative-portfolio-carousels */
.grve-carousel-navigation.grve-light.grve-navigation-1.grve-navigation-carousel {
	direction: ltr;
}


a.grve-btn:hover i{
-webkit-transform: translate(10px, 0);
-moz-transform: translate(10px, 0);
-ms-transform: translate(10px, 0);
-o-transform: translate(10px, 0);
transform: translate(10px, 0);
}


.grve-image-hover{
    direction:ltr;
}


/* Page /message-box/  */
.grve-message .grve-message-icon{
    float: right;
    margin-left: 25px;
    margin-right: initial;
}


.grve-message .grve-close{
 right:auto;
 left: 0;
}

/* Page /message-box/  */


/*.grve-carousel-buttons div {
 -webkit-transform: rotate(180deg) !important;
-moz-transform: rotate(180deg) !important;
-ms-transform: rotate(180deg) !important;
-o-transform: rotate(180deg) !important;
transform: rotate(180deg) !important;
}*/

.grve-product-item span.onsale{
 right:15px;
 left:auto;
}


.grve-progress-bars.grve-style-2 .grve-percentage{
float:left;
}


.grve-progress-bars.grve-style-1 .grve-bar-title{
    right: 0px;
    left:auto;
    margin-right: 30px;
    margin-left: inherit;
}


/* Page slider-with-content / products-slider/ */

.grve-content-slider .grve-slider-content{
    left: 0;
    right:auto;
    margin-right: auto;
    margin-left: 40px;
}


.grve-slider-element img{
    display: initial;
}


.grve-slider.grve-layout-2 .grve-carousel-navigation{
   left: 0;
   right:auto; 
}


.grve-slider.grve-layout-2 .grve-carousel-buttons div{
    -webkit-transform: rotate(180deg) translateX(10px) !important;
    -moz-transform: rotate(180deg) translateX(10px) !important;
    -ms-transform: rotate(180deg) translateX(10px) !important;
    -o-transform: rotate(180deg) translateX(10px) !important;
    transform: rotate(180deg) translateX(10px) !important;
}


/* Page carousel/ */
.grve-carousel.grve-layout-2 .grve-align-right .grve-carousel-navigation{
direction: ltr;
}


/* Page slider-with-content */


.woocommerce #reviews #comments ol.commentlist li img.avatar, .woocommerce-page #reviews #comments ol.commentlist li img.avatar{
    float: right;
    margin-left: 15px;
}


.grve-team.grve-layout-2 .grve-team-description{
text-align:right;
}


.grve-product-added-icon {
    left:15px;
    right:auto;
}

.wpb_column.grve-column.grve-column-1-2.grve-tablet-sm-column-1.grve-middle {
    float: right;
}

.woocommerce div.product .grve-fullwidth div.images.grve-product-images div.thumbnails {
    left: auto;
    right: 0;
}


.grve-woo-tabs ul.tabs li{
    margin-left: 16px;
}




/* Page testimonial */

.grve-testimonial.grve-layout-2 .grve-testimonial-thumb{
    margin-left: 30%;
    margin-right: inherit;
}



.grve-testimonial.grve-layout-2 .grve-testimonial-content{
    left: 0;
    right:auto;
    margin-left: 40px;
    margin-right: inherit;
}


.grve-testimonial.grve-layout-2 .grve-testimonial-icon{
    top: 45%;
    left: 41%;
    right:auto;
    -webkit-transform: rotate(180deg) !important;
    -moz-transform: rotate(180deg) !important;
    -ms-transform: rotate(180deg) !important;
    -o-transform: rotate(180deg) !important;
    transform: rotate(180deg) !important;
}


.grve-testimonial.grve-layout-2 .owl-controls{
    left:0;
    right:auto;
    margin-right: 30px;
    margin-left: inherit;
}




.grve-blog-leader.grve-layout-1 .grve-post-leader{
    float: right;
}


.grve-navigation-bar{
direction:rtl;    
}


#grve-post-bar .grve-arrow{
    transform: rotate(180deg);
}

/*.grve-navigation-bar:not(.grve-layout-3) .grve-post-bar-item a.grve-prev:hover .grve-arrow {
    -webkit-transform: rotate(180deg) translateX(10px) !important;
    -moz-transform: rotate(180deg) translateX(10px) !important;
    -ms-transform: rotate(180deg) translateX(10px) !important;
    -o-transform: rotate(180deg) translateX(10px) !important;
    transform: rotate(180deg) translateX(10px) !important;
}*/


/*#grve-theme-wrapper .grve-image.grve-full-image img {
    float: left;
    width: 85%;
}*/


/* Arrow Top Pgae */
.grve-back-top{
    left:20px;
    right:auto;
}


.grve-progress-bars.grve-line-round.grve-style-2 .grve-bar-line{
    -webkit-border-radius: 0px 200px 200px 0px;
    border-radius: 0px 200px 200px 0px;
}


.grve-navigation-bar .grve-bar-socials li .grve-like-counter-link i{
    float: right;
}


/* Page /portfolio/verticalsticky-sidebar/ 
.grve-fullwidth ul.grve-post-gallery.grve-vertical-style{
   /* padding: 0 80px;
    padding: 0 ;
}*/


.grve-dropcap.grve-element span {
    float: right;
    padding: 0px 0px 0px 18px;
}



/* Page animated-right-corner-box*/
#grve-theme-wrapper .grve-hover-item.grve-hover-style-7 .grve-content:not(.grve-custom-overview){
    right: 25%;
    left: 0;
     text-align:right; 
}

/* Page hidden-menu */
#grve-hidden-menu .grve-close-btn-wrapper{
    text-align:right;
}


.grve-hidden-area{
    left: -30px;
    right:auto;
    -webkit-transform: translate3d(-100%, 0, 0);
    -moz-transform: translate3d(-100%, 0, 0);
    -ms-transform: translate3d(-100%, 0, 0);
    -o-transform: translate3d(-100%, 0, 0);
    transform: translate3d(-100%, 0, 0);
}






/****************************** Shop *************************/
/* my account */
.woocommerce form.login{
    text-align:right;
}



/* cart */
.grve-cart-content {
    padding-left: 10%;
    padding-right: inherit;
    float: right;
}


.grve-product-thumb {
    float: right;
    margin-left: 1.154em;
}

/* cart */


/*** checkout ***/
.grve-billing-content {
    padding-left: 10%;
    padding-right: inherit;
    float: right;
}


.woocommerce table.woocommerce-checkout-review-order-table th, .woocommerce-page table.woocommerce-checkout-review-order-table th{
    text-align: right;
}


.woocommerce table.woocommerce-checkout-review-order-table td.product-name, .woocommerce-page table.woocommerce-checkout-review-order-table td.product-name {
    padding-right: 0px;
}


.woocommerce table.woocommerce-checkout-review-order-table td, .woocommerce-page table.woocommerce-checkout-review-order-table td{
    text-align: right;
}


/* Page area-item/footer-01/ */
.grve-box-icon.grve-side-icon.grve-align-right .grve-wrapper-icon{
   /* margin-right: 5px;
    margin-left: inherit;*/
    margin-left: 10px;
}



/* Page Coming Soon */
.grve-countdown.grve-style-1 .grve-countdown-item:last-child::before{
   display: block;
}

.grve-countdown.grve-style-1 .grve-countdown-item:first-child::before {
    display: none;
}





/* menu */
.grve-slide-menu ul.grve-menu .sub-menu a{
    padding-right: 30px;
    padding-left: inherit;
}




/*  Page homepage-musician   , homepage-creative-agency */
#fp-nav.right , #pp-nav.right{
    left: 17px;
    right: inherit;
}


/*  grve-like-counter  */
.grve-navigation-bar.grve-layout-2 .grve-bar-socials li .grve-like-counter{
    right: -8px;
    top: 0px;
    left:inherit;
}


/* small-blog-layout  */
.grve-blog-small .grve-blog-item{
    direction: rtl;
}


.grve-blog .grve-media{
    margin-left: 20px;
}


/* counter Plugin JS */
.grve-counter .grve-counter-item{
    direction:ltr;
}




/* Page product/colored-t-shirts   */
/*.grve-navigation-bar.grve-layout-3{
    left:0;
    transform: translateY(-50%) translateX(-75%) scaleX(-1);
    border-color:transparent !important;
}

.grve-navigation-bar.grve-layout-3 .grve-post-bar-item .grve-item-icon{
left: 0px;    
}*/



/*Start  Page custom-feature-slider  */

.grve-content.grve-align-right-center, .grve-content.grve-align-right-top, .grve-content.grve-align-right-bottom {
    text-align: right;
}


.grve-content.grve-align-left-top,
.grve-content.grve-align-left-bottom {
	text-align: left;
}


#grve-feature-section .grve-title-content-wrapper.grve-align-left{
	text-align: left;
}

#grve-feature-section .grve-title-content-wrapper.grve-align-right,
.grve-page-title .grve-title-content-wrapper.grve-align-right {
	text-align: right;
}


/*End Page custom-feature-slider  */


/* Page homepage-startup  */
.grve-separator-top{
   transform: scaleX(-1); 
}


/* Page progress-bars/  */
.grve-progress-bars.grve-style-1 .grve-percentage{
        margin-right: -50px;
       margin-left: inherit;
}



@media only screen and (max-width: 767px) {
    
 /* grve-privacy-content  */   
.grve-privacy-content {
    padding-left:inherit;
}

/* Page Coming Soon */
.grve-countdown.grve-style-1 .grve-countdown-item:last-child::before{
   display: none;
}

.grve-countdown.grve-style-1 .grve-countdown-item:first-child::before {
    display: block;
}


}





@media only screen and (max-width: 1023px) {
 
/* Page blog-pages/large-blog-layout/ */
 #grve-content.grve-right-sidebar #grve-main-content {
    float: none;
    padding-right: 0;
    padding-left: 30px;
}


}

/* Page /portfolio-filter-styles/ 
.grve-filter{
    text-align:right;    
}
*/



/* Page parallax-portfolio/ */
.grve-portfolio-movedo-style .grve-content{
    right: auto;
    left: 0;
}


.grve-portfolio-movedo-style .grve-portfolio-item:nth-child(2n) .grve-content{
    left: auto;
    right: 0;
}


.grve-portfolio-movedo-style .grve-portfolio-item:nth-child(2n) .grve-media {
    margin-left: auto;
    margin-right: 30%;
}

/* Page contact-us-ii/ */ 
/* plugins/contact-form-7/includes/css/styles.css?ver=5.4 line:152 */
.wpcf7 input[type="url"], .wpcf7 input[type="email"], .wpcf7 input[type="tel"] {
    direction: rtl;
}

/* demo freelancer --modal/ */ 

.grve-close-modal{
	right:auto;
	left:20px;
}


.mfp-counter, .grve-mfp-social {
    direction: ltr;
}

/* demo freelancer --modal/ */ 

/* demo corporatemodern */
.grve-image.grve-align-right.grve-image-space-125:not(.grve-clipping-animation) .grve-image-wrapper, .grve-image.grve-align-right.grve-image-space-125.grve-clipping-animation .grve-clipping-wrapper, .grve-align-right .grve-image.grve-align-inherit.grve-image-space-125 .grve-image-wrapper{
	margin-right: -25%;
	margin-left: auto;
}


/*Page https://moovedo.cms724.ir/travelcase/*/
#grve-feature-section .grve-slider-item-wrapper .grve-title-content-wrapper.grve-align-left{
	text-align:right;
}

/*Error Contact Form*/
.wpcf7-not-valid-tip{
	text-align:right;
}

/*Message Contact Form*/
.wpcf7 form .wpcf7-response-output{
	padding: 0.2em 3em;
}

/*Submit Contact Form*/
.grve-newsletter.grve-only-icon .grve-submit-icon{
	right:auto;
	left:0;
}

/*Grid Contact Form*/
.grve-one-half , .grve-one-third{
    float: right;
}


/*Message Invalid Error  Contact Form**/
.wpcf7 form.invalid .wpcf7-response-output{
    text-align:right;
}


/*Page hosting/ menu/ */
 .grve-horizontal-menu.grve-position-left{
    float:right; 
 }


 #grve-main-header:not(.grve-header-side) .grve-header-text-element > .grve-wrapper{
    padding-right: 1.563rem;
    padding-left: inherit;
 }


/*Page hosting/services/ */
.grve-testimonial.grve-layout-3 .grve-testimonial-thumb + .grve-testimonial-name {
    padding-right: 15px;
	padding-left: auto;
}


/*Page small store// */
.grve-hidden-area .grve-scroller{
	padding: 0 0 0 30px;
}

.grve-navigation-bar .grve-bar-socials li:last-child{
	margin-right: 12px;
}


/*Page smallstore*/
.grve-product-item figcaption .price{
    direction: rtl;
}


/*Page medical Part Events// */
@media only screen and (max-width: 1023px) {

#grve-theme-wrapper .tribe-bar-submit {
    margin-right: 0;
    margin-left: auto;
}

}

/*Page medical Part Events// */
#tribe-bar-views-toggle::after{
    left: 15px;
    right:auto;
}

#grve-theme-wrapper .tribe-bar-views span[class^="tribe-icon-"]{
  margin-left: 5px;  
  padding-left: 15px;
}


.tribe-events-event-meta .tribe-events-meta-group{
    float: right;
    text-align: right;
}

a.tribe-events-gcal, a.tribe-events-ical{
    margin-right: 10px;
}


/*Page homepage-personal & side-header Menu Side // */
.grve-slide-menu ul.grve-menu .grve-goback .grve-arrow{
left: auto;
right: 0;
padding-right: 25%;
}


@media only screen and (max-width: 767px) {
    
.grve-slide-menu ul.grve-menu .sub-menu .grve-goback a{
float: right;
padding-right: 20%;
}

	
/*page /lawyer/*/
.grve-split-content.grve-media-left .grve-content{
	left: 50%;
	right: 0;
	-webkit-transform: translateX(0);
	-moz-transform: translateX(0);
	-ms-transform: translateX(0);
	-o-transform: translateX(0);
	transform: translateX(0);
	text-align: center;
}

	
/*page /construction/*/
.grve-toggle-menu ul {
	margin-left: 20px;
}
	
	
}

/*Pages Includes CountDown Elements*/
.grve-element.grve-countdown {
    direction: ltr;
}

/*page /CountDown/*/
.grve-countdown.grve-style-1 .grve-countdown-item::before{
	left: 0;
	right:auto;
}



/* Date Picker*/
.picker__button--today::before , .picker__day--today::before{
	content:none;	
}

.picker__holder{
   overflow-y:hidden;
   overflow-x:hidden;
}

button.picker__button--today {
    padding: 1.636em 2em !important;
}






/* =============================================================================
- Sidebar
============================================================================= */

#grve-content.grve-left-sidebar #grve-main-content {
	float: right;
	padding-left: 30px;
	padding-right: 0;
}
#grve-content.grve-left-sidebar #grve-sidebar {
	padding-right: 20px;
	padding-left: 0;
	float: left;
}

#grve-content.grve-right-sidebar #grve-main-content {
	float: left;
	padding-left: 0;
	padding-right: 30px;
}

#grve-content.grve-right-sidebar #grve-sidebar {
	padding-right: 0;
	padding-left: 20px;
	float: right;
}
